### Function

# GLib VariantDict new

since: 2.40

#### Declaration [src]

    GVariantDict*
    g_variant_dict_new (
      GVariant* from_asv
    )

#### Description [src]

Allocates and initialises a new `GVariantDict`.

You should call `g_variant_dict_unref()` on the return value when it is no longer needed. The memory will not be automatically freed by any other call.

In some cases it may be easier to place a `GVariantDict` directly on the stack of the calling function and initialise it with g_variant_dict_init(). This is particularly useful when you are using `GVariantDict` to construct a `GVariant`.

Available since: 2.40

#### Parameters

`from_asv`

  Type: `GVariant`

  The `GVariant` with which to initialise the dictionary.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GVariantDict`

A `GVariantDict`.

The caller of the function takes ownership of the data, and is responsible for freeing it.